## r-cran-seuratobject 4.0.0

=== DESCRIPTION ===
Package: SeuratObject
Type: Package
Title: Data Structures for Single Cell Data
Version: 4.0.0
Date: 2021-01-07
Authors@R: c(
  person(given = 'Rahul', family = 'Satija', email = 'rsatija@nygenome.org', role = 'aut', comment = c(ORCID = '0000-0001-9448-8833')),
  person(given = 'Andrew', family = 'Butler', email = 'abutler@nygenome.org', role = 'aut', comment = c(ORCID = '0000-0003-3608-0463')),
  person(given = 'Paul', family = 'Hoffman', email = 'nygcSatijalab@nygenome.org', role = c('aut', 'cre'), comment = c(ORCID = '0000-0002-7693-8957')),
  person(given = 'Tim', family = 'Stuart', email = 'tstuart@nygenome.org', role = 'aut', comment = c(ORCID = '0000-0002-3044-0897')),
  person(given = 'Jeff', family = 'Farrell', email = 'jfarrell@g.harvard.edu', role = 'ctb'),
  person(given = 'Shiwei', family = 'Zheng', email = 'szheng@nygenome.org', role = 'ctb', comment = c(ORCID = '0000-0001-6682-6743')),
  person(given = 'Christoph', family = 'Hafemeister', email = 'chafemeister@nygenome.org', role = 'ctb', comment = c(ORCID = '0000-0001-6365-8254')),
  person(given = 'Patrick', family = 'Roelli', email = 'proelli@nygenome.org', role = 'ctb'),
  person(given = "Yuhan", family = "Hao", email = 'yhao@nygenome.org', role = 'ctb', comment = c(ORCID = '0000-0002-1810-0822'))
  )
Description: Defines S4 classes for single-cell genomic data and associated
  information, such as dimensionality reduction embeddings, nearest-neighbor
  graphs, and spatially-resolved coordinates. Provides data access methods and
  R-native hooks to ensure the Seurat object is familiar to other R users. See 
  Satija R, Farrell J, Gennert D, et al (2015) <doi:10.1038/nbt.3192>, 
  Macosko E, Basu A, Satija R, et al (2015) <doi:10.1016/j.cell.2015.05.002>, 
  and Stuart T, Butler A, et al (2019) <doi:10.1016/j.cell.2019.05.031> for 
  more details.
URL: https://satijalab.org/seurat,
        https://github.com/mojaveazure/seurat-object
BugReports: https://github.com/mojaveazure/seurat-object/issues
License: GPL-3
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.1.1
Depends: R (>= 3.5.0)
Imports: grDevices, grid, Matrix (>= 1.2.18), methods, Rcpp (>= 1.0.5),
        rlang (>= 0.4.7), sctransform, stats, tools, utils
Suggests: tinytest
Collate: 'RcppExports.R' 'utils.R' 'zzz.R' 'generics.R' 'assay.R'
        'command.R' 'data.R' 'default.R' 'jackstraw.R' 'dimreduc.R'
        'graph.R' 'neighbor.R' 'spatial.R' 'seurat.R'
LinkingTo: Rcpp, RcppEigen
NeedsCompilation: yes
Packaged: 2021-01-11 19:28:57 UTC; paul
Author: Rahul Satija [aut] (<https://orcid.org/0000-0001-9448-8833>),
  Andrew Butler [aut] (<https://orcid.org/0000-0003-3608-0463>),
  Paul Hoffman [aut, cre] (<https://orcid.org/0000-0002-7693-8957>),
  Tim Stuart [aut] (<https://orcid.org/0000-0002-3044-0897>),
  Jeff Farrell [ctb],
  Shiwei Zheng [ctb] (<https://orcid.org/0000-0001-6682-6743>),
  Christoph Hafemeister [ctb] (<https://orcid.org/0000-0001-6365-8254>),
  Patrick Roelli [ctb],
  Yuhan Hao [ctb] (<https://orcid.org/0000-0002-1810-0822>)
Maintainer: Paul Hoffman <nygcSatijalab@nygenome.org>
Repository: CRAN
Date/Publication: 2021-01-15 08:50:02 UTC

=== debian/changelog ===
r-cran-seuratobject (4.0.0-2) unstable; urgency=medium

  * debhelper-compat 13 (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Mon, 01 Feb 2021 21:49:00 +0100

r-cran-seuratobject (4.0.0-1) unstable; urgency=medium

  * Initial release (closes: #981456)

 -- Andreas Tille <tille@debian.org>  Sun, 31 Jan 2021 15:27:48 +0100

=== debian/control ===
Source: r-cran-seuratobject
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-matrix (>= 1.2.18),
               r-cran-rcpp (>= 1.0.5),
               r-cran-rlang (>= 0.4.7),
               r-cran-sctransform,
               r-cran-rcppeigen
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-seuratobject
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-seuratobject.git
Homepage: https://cran.r-project.org/package=SeuratObject
Rules-Requires-Root: no

Package: r-cran-seuratobject
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R data structures for single cell data
 Defines S4 classes for single-cell genomic data and associated
 information, such as dimensionality reduction embeddings, nearest-neighbor
 graphs, and spatially-resolved coordinates. Provides data access methods and
 R-native hooks to ensure the Seurat object is familiar to other R users. See
 Satija R, Farrell J, Gennert D, et al (2015) <doi:10.1038/nbt.3192>,
 Macosko E, Basu A, Satija R, et al (2015) <doi:10.1016/j.cell.2015.05.002>,
 and Stuart T, Butler A, et al (2019) <doi:10.1016/j.cell.2019.05.031> for
 more details.

## r-cran-seuratobject 4.0.4

=== debian/changelog ===
r-cran-seuratobject (4.0.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 4.0.4
  * Drop fix-autopkgtest.patch
  * Refresh patch

 -- Nilesh Patra <nilesh@debian.org>  Wed, 24 Nov 2021 23:11:56 +0530

r-cran-seuratobject (4.0.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 4.0.3
  * Run dh-update-R, cme

 -- Nilesh Patra <nilesh@debian.org>  Tue, 16 Nov 2021 02:16:24 +0530

r-cran-seuratobject (4.0.2-2) unstable; urgency=medium

  * Team Upload.
  * d/{p/fix_autopkgtest.patch,control}: Manually set
    matrix package to correct version

 -- Nilesh Patra <nilesh@debian.org>  Thu, 30 Sep 2021 02:24:47 +0530

r-cran-seuratobject (4.0.2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Depends r-cran-rmatrix has to be manually changed from >= 1.3.3 to
    >= 1.3-3

 -- Andreas Tille <tille@debian.org>  Thu, 26 Aug 2021 15:02:40 +0200

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,11 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-matrix (>= 1.2.18),
+               r-cran-matrix (>= 1.3-3-1~),
                r-cran-rcpp (>= 1.0.5),
                r-cran-rlang (>= 0.4.7),
-               r-cran-sctransform,
                r-cran-rcppeigen
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-seuratobject
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-seuratobject.git
 Homepage: https://cran.r-project.org/package=SeuratObject

## r-cran-seuratobject 4.1.3

=== DESCRIPTION ===
Package: SeuratObject
Type: Package
Title: Data Structures for Single Cell Data
Version: 4.1.3
Date: 2022-11-07
Authors@R: c(
  person(given = 'Rahul', family = 'Satija', email = 'rsatija@nygenome.org', role = 'aut', comment = c(ORCID = '0000-0001-9448-8833')),
  person(given = 'Andrew', family = 'Butler', email = 'abutler@nygenome.org', role = 'aut', comment = c(ORCID = '0000-0003-3608-0463')),
  person(given = 'Paul', family = 'Hoffman', email = 'seurat@nygenome.org', role = c('aut', 'cre'), comment = c(ORCID = '0000-0002-7693-8957')),
  person(given = 'Tim', family = 'Stuart', email = 'tstuart@nygenome.org', role = 'aut', comment = c(ORCID = '0000-0002-3044-0897')),
  person(given = 'Jeff', family = 'Farrell', email = 'jfarrell@g.harvard.edu', role = 'ctb'),
  person(given = 'Shiwei', family = 'Zheng', email = 'szheng@nygenome.org', role = 'ctb', comment = c(ORCID = '0000-0001-6682-6743')),
  person(given = 'Christoph', family = 'Hafemeister', email = 'chafemeister@nygenome.org', role = 'ctb', comment = c(ORCID = '0000-0001-6365-8254')),
  person(given = 'Patrick', family = 'Roelli', email = 'proelli@nygenome.org', role = 'ctb'),
  person(given = "Yuhan", family = "Hao", email = 'yhao@nygenome.org', role = 'ctb', comment = c(ORCID = '0000-0002-1810-0822'))
  )
Description: Defines S4 classes for single-cell genomic data and associated
  information, such as dimensionality reduction embeddings, nearest-neighbor
  graphs, and spatially-resolved coordinates. Provides data access methods and
  R-native hooks to ensure the Seurat object is familiar to other R users. See
  Satija R, Farrell J, Gennert D, et al (2015) <doi:10.1038/nbt.3192>,
  Macosko E, Basu A, Satija R, et al (2015) <doi:10.1016/j.cell.2015.05.002>,
  and Stuart T, Butler A, et al (2019) <doi:10.1016/j.cell.2019.05.031> for
  more details.
URL: https://mojaveazure.github.io/seurat-object/,
        https://github.com/mojaveazure/seurat-object
BugReports: https://github.com/mojaveazure/seurat-object/issues
License: MIT + file LICENSE
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.2.1
Depends: R (>= 4.0.0), sp (>= 1.5.0)
Imports: future, future.apply, grDevices, grid, Matrix (>= 1.5.0),
        methods, progressr, Rcpp (>= 1.0.5), rlang (>= 0.4.7), stats,
        tools, utils
Suggests: ggplot2, rgeos, testthat
Collate: 'RcppExports.R' 'zzz.R' 'generics.R' 'graph.R' 'assay.R'
        'centroids.R' 'command.R' 'data.R' 'default.R' 'jackstraw.R'
        'dimreduc.R' 'segmentation.R' 'keymixin.R' 'molecules.R'
        'spatial.R' 'fov.R' 'logmap.R' 'neighbor.R' 'seurat.R'
        'utils.R'
LinkingTo: Rcpp, RcppEigen
NeedsCompilation: yes
Packaged: 2022-11-07 18:15:41 UTC; paul
Author: Rahul Satija [aut] (<https://orcid.org/0000-0001-9448-8833>),
  Andrew Butler [aut] (<https://orcid.org/0000-0003-3608-0463>),
  Paul Hoffman [aut, cre] (<https://orcid.org/0000-0002-7693-8957>),
  Tim Stuart [aut] (<https://orcid.org/0000-0002-3044-0897>),
  Jeff Farrell [ctb],
  Shiwei Zheng [ctb] (<https://orcid.org/0000-0001-6682-6743>),
  Christoph Hafemeister [ctb] (<https://orcid.org/0000-0001-6365-8254>),
  Patrick Roelli [ctb],
  Yuhan Hao [ctb] (<https://orcid.org/0000-0002-1810-0822>)
Maintainer: Paul Hoffman <seurat@nygenome.org>
Repository: CRAN
Date/Publication: 2022-11-07 18:50:02 UTC

=== debian/changelog ===
r-cran-seuratobject (4.1.3-1) unstable; urgency=medium

  * New upstream version
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 17 Nov 2022 14:35:54 +0100

r-cran-seuratobject (4.1.2-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team Upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * UPdate patch

  [ Nilesh Patra ]
  * New upstream version 4.1.2

 -- Nilesh Patra <nilesh@debian.org>  Wed, 19 Oct 2022 18:02:30 +0530

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,15 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-matrix (>= 1.3-3-1~),
+               r-cran-sp,
+               r-cran-future,
+               r-cran-future.apply,
+               r-cran-matrix (>= 1.5-0),
+               r-cran-progressr,
                r-cran-rcpp (>= 1.0.5),
                r-cran-rlang (>= 0.4.7),
                r-cran-rcppeigen
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-seuratobject
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-seuratobject.git
 Homepage: https://cran.r-project.org/package=SeuratObject

## r-cran-seuratobject 5.0.1

=== DESCRIPTION ===
Package: SeuratObject
Type: Package
Title: Data Structures for Single Cell Data
Version: 5.0.1
Authors@R: c(
  person(given = 'Rahul', family = 'Satija', email = 'rsatija@nygenome.org', role = 'aut', comment = c(ORCID = '0000-0001-9448-8833')),
  person(given = 'Paul', family = 'Hoffman', email = 'seurat@nygenome.org', role = c('aut', 'cre'), comment = c(ORCID = '0000-0002-7693-8957')),
  person(given = "Yuhan", family = "Hao", email = 'yhao@nygenome.org', role = 'aut', comment = c(ORCID = '0000-0002-1810-0822')),
  person(given = "Austin", family = "Hartman", email = 'ahartman@nygenome.org', role = 'aut', comment = c(ORCID = '0000-0001-7278-1852')),
  person(given = "Gesmira", family = "Molla", email = 'gmolla@nygenome.org', role = 'aut', comment = c(ORCID = '0000-0002-8628-5056')),
  person(given = 'Andrew', family = 'Butler', email = 'abutler@nygenome.org', role = 'aut', comment = c(ORCID = '0000-0003-3608-0463')),
  person(given = 'Tim', family = 'Stuart', email = 'tstuart@nygenome.org', role = 'aut', comment = c(ORCID = '0000-0002-3044-0897')),
  person(given = "Madeline", family = "Kowalski", email = "mkowalski@nygenome.org", role = "ctb", comment = c(ORCID = "0000-0002-5655-7620")),
  person(given = "Saket", family = "Choudhary", email = "schoudhary@nygenome.org", role = "ctb", comment = c(ORCID = "0000-0001-5202-7633")),
  person(given = "Skylar", family = "Li", email = "sli@nygenome.org", role = "ctb"),
  person(given = "Longda", family = "Jiang", email = "ljiang@nygenome.org", role = "ctb", comment = c(ORCID = "0000-0003-4964-6497")),
  person(given = 'Jeff', family = 'Farrell', email = 'jfarrell@g.harvard.edu', role = 'ctb'),
  person(given = 'Shiwei', family = 'Zheng', email = 'szheng@nygenome.org', role = 'ctb', comment = c(ORCID = '0000-0001-6682-6743')),
  person(given = 'Christoph', family = 'Hafemeister', email = 'chafemeister@nygenome.org', role = 'ctb', comment = c(ORCID = '0000-0001-6365-8254')),
  person(given = 'Patrick', family = 'Roelli', email = 'proelli@nygenome.org', role = 'ctb')
  )
Description: Defines S4 classes for single-cell genomic data and associated
  information, such as dimensionality reduction embeddings, nearest-neighbor
  graphs, and spatially-resolved coordinates. Provides data access methods and
  R-native hooks to ensure the Seurat object is familiar to other R users. See
  Satija R, Farrell J, Gennert D, et al (2015) <doi:10.1038/nbt.3192>,
  Macosko E, Basu A, Satija R, et al (2015) <doi:10.1016/j.cell.2015.05.002>,
  and Stuart T, Butler A, et al (2019) <doi:10.1016/j.cell.2019.05.031>,
  Hao Y, Hao S, et al (2021) <doi:10.1016/j.cell.2021.04.048> and
  Hao Y, et al (2023) <doi:10.1101/2022.02.24.481684> for
  more details.
URL: https://mojaveazure.github.io/seurat-object/,
        https://github.com/mojaveazure/seurat-object
BugReports: https://github.com/mojaveazure/seurat-object/issues
License: MIT + file LICENSE
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.2.3
Additional_repositories: https://bnprks.r-universe.dev
Depends: R (>= 4.0.0), sp (>= 1.5.0)
Imports: future, future.apply, grDevices, grid, Matrix (>= 1.6.3),
        methods, progressr, Rcpp (>= 1.0.5), rlang (>= 0.4.7), stats,
        tools, utils, spam, lifecycle, generics
Suggests: DelayedArray, fs (>= 1.5.2), ggplot2, HDF5Array, rmarkdown,
        testthat, BPCells, sf (>= 1.0.0)
Collate: 'RcppExports.R' 'zzz.R' 'generics.R' 'keymixin.R' 'graph.R'
        'default.R' 'assay.R' 'logmap.R' 'layers.R' 'assay5.R'
        'centroids.R' 'command.R' 'compliance.R' 'data.R' 'jackstraw.R'
        'dimreduc.R' 'segmentation.R' 'molecules.R' 'spatial.R' 'fov.R'
        'neighbor.R' 'seurat.R' 'sparse.R' 'utils.R'
LinkingTo: Rcpp, RcppEigen
Enhances: Seurat
Config/Needs/website: pkgdown
NeedsCompilation: yes
Packaged: 2023-11-16 21:36:12 UTC; paul
Author: Rahul Satija [aut] (<https://orcid.org/0000-0001-9448-8833>),
  Paul Hoffman [aut, cre] (<https://orcid.org/0000-0002-7693-8957>),
  Yuhan Hao [aut] (<https://orcid.org/0000-0002-1810-0822>),
  Austin Hartman [aut] (<https://orcid.org/0000-0001-7278-1852>),
  Gesmira Molla [aut] (<https://orcid.org/0000-0002-8628-5056>),
  Andrew Butler [aut] (<https://orcid.org/0000-0003-3608-0463>),
  Tim Stuart [aut] (<https://orcid.org/0000-0002-3044-0897>),
  Madeline Kowalski [ctb] (<https://orcid.org/0000-0002-5655-7620>),
  Saket Choudhary [ctb] (<https://orcid.org/0000-0001-5202-7633>),
  Skylar Li [ctb],
  Longda Jiang [ctb] (<https://orcid.org/0000-0003-4964-6497>),
  Jeff Farrell [ctb],
  Shiwei Zheng [ctb] (<https://orcid.org/0000-0001-6682-6743>),
  Christoph Hafemeister [ctb] (<https://orcid.org/0000-0001-6365-8254>),
  Patrick Roelli [ctb]
Maintainer: Paul Hoffman <seurat@nygenome.org>
Repository: CRAN
Date/Publication: 2023-11-17 22:40:16 UTC

=== debian/changelog ===
r-cran-seuratobject (5.0.1-1) unstable; urgency=medium

  * Depend from dh-r version that can deal with wrongly specified version of
    Matrix
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Add dependency from r-cran-matrix version it was built against
    (see https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1055922#68)

 -- Andreas Tille <tille@debian.org>  Fri, 24 Nov 2023 09:00:48 +0100

r-cran-seuratobject (5.0.0-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 01 Nov 2023 07:59:25 +0100

r-cran-seuratobject (4.1.4-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 17 Oct 2023 14:11:53 +0200

=== debian/control ===
--- 
+++ 
@@ -10,12 +10,15 @@
                r-cran-sp,
                r-cran-future,
                r-cran-future.apply,
-               r-cran-matrix (>= 1.5-0),
+               r-cran-matrix (>= 1.6-3),
                r-cran-progressr,
-               r-cran-rcpp (>= 1.0.5),
-               r-cran-rlang (>= 0.4.7),
+               r-cran-rcpp,
+               r-cran-rlang,
+               r-cran-spam,
+               r-cran-lifecycle,
+               r-cran-generics,
                r-cran-rcppeigen
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-seuratobject
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-seuratobject.git
 Homepage: https://cran.r-project.org/package=SeuratObject

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_gencontrol:
	rmbversion=`dpkg -l r-cran-matrix | grep 'ii' | sed 's/^.*r-cran-matrix[[:space:]]\+\([0-9.-]\+\)[[:space:]]\+.*/\1/'`; \
	sed -i "s/r-cran-matrix[^,]*/r-cran-matrix (>= $${rmbversion})/" debian/*substvars
	rversion=`dpkg -l r-base-core | grep 'ii' | sed 's/^.*r-base-core[[:space:]]\+\([0-9.-]\+\)-[0-9]\+[[:space:]]\+.*/\1/'`; \
	sed -i "s/\(r-api-[0-9.]\+\),/& r-base-core (>= $${rversion})/" debian/*substvars
	dh_gencontrol

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/SeuratObject_([-\d.]*)\.tar\.gz

## r-cran-seuratobject 5.0.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Package: SeuratObject
 Type: Package
 Title: Data Structures for Single Cell Data
-Version: 5.0.1
+Version: 5.0.2
 Authors@R: c(
-  person(given = 'Rahul', family = 'Satija', email = 'rsatija@nygenome.org', role = 'aut', comment = c(ORCID = '0000-0001-9448-8833')),
-  person(given = 'Paul', family = 'Hoffman', email = 'seurat@nygenome.org', role = c('aut', 'cre'), comment = c(ORCID = '0000-0002-7693-8957')),
+  person(given = 'Paul', family = 'Hoffman', email = 'hoff0792@alumni.umn.edu', role = 'aut', comment = c(ORCID = '0000-0002-7693-8957')),
+  person(given = 'Rahul', family = 'Satija', email = 'seurat@nygenome.org', role = c('aut', 'cre'), comment = c(ORCID = '0000-0001-9448-8833')),
+  person(given = 'David', family = 'Collins', email = 'dcollins@nygenome.org', role = 'aut', comment = c(ORCID = '0000-0001-9243-7821')),
   person(given = "Yuhan", family = "Hao", email = 'yhao@nygenome.org', role = 'aut', comment = c(ORCID = '0000-0002-1810-0822')),
   person(given = "Austin", family = "Hartman", email = 'ahartman@nygenome.org', role = 'aut', comment = c(ORCID = '0000-0001-7278-1852')),
   person(given = "Gesmira", family = "Molla", email = 'gmolla@nygenome.org', role = 'aut', comment = c(ORCID = '0000-0002-8628-5056')),
@@ -29,16 +30,16 @@
   Hao Y, Hao S, et al (2021) <doi:10.1016/j.cell.2021.04.048> and
   Hao Y, et al (2023) <doi:10.1101/2022.02.24.481684> for
   more details.
-URL: https://mojaveazure.github.io/seurat-object/,
-        https://github.com/mojaveazure/seurat-object
-BugReports: https://github.com/mojaveazure/seurat-object/issues
+URL: https://satijalab.github.io/seurat-object/,
+        https://github.com/satijalab/seurat-object
+BugReports: https://github.com/satijalab/seurat-object/issues
 License: MIT + file LICENSE
 Encoding: UTF-8
 LazyData: true
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.1
 Additional_repositories: https://bnprks.r-universe.dev
-Depends: R (>= 4.0.0), sp (>= 1.5.0)
-Imports: future, future.apply, grDevices, grid, Matrix (>= 1.6.3),
+Depends: R (>= 4.1.0), sp (>= 1.5.0)
+Imports: future, future.apply, grDevices, grid, Matrix (>= 1.6.4),
         methods, progressr, Rcpp (>= 1.0.5), rlang (>= 0.4.7), stats,
         tools, utils, spam, lifecycle, generics
 Suggests: DelayedArray, fs (>= 1.5.2), ggplot2, HDF5Array, rmarkdown,
@@ -52,9 +53,10 @@
 Enhances: Seurat
 Config/Needs/website: pkgdown
 NeedsCompilation: yes
-Packaged: 2023-11-16 21:36:12 UTC; paul
-Author: Rahul Satija [aut] (<https://orcid.org/0000-0001-9448-8833>),
-  Paul Hoffman [aut, cre] (<https://orcid.org/0000-0002-7693-8957>),
+Packaged: 2024-05-07 15:10:19 UTC; Paul Hoffman
+Author: Paul Hoffman [aut] (<https://orcid.org/0000-0002-7693-8957>),
+  Rahul Satija [aut, cre] (<https://orcid.org/0000-0001-9448-8833>),
+  David Collins [aut] (<https://orcid.org/0000-0001-9243-7821>),
   Yuhan Hao [aut] (<https://orcid.org/0000-0002-1810-0822>),
   Austin Hartman [aut] (<https://orcid.org/0000-0001-7278-1852>),
   Gesmira Molla [aut] (<https://orcid.org/0000-0002-8628-5056>),
@@ -68,6 +70,6 @@
   Shiwei Zheng [ctb] (<https://orcid.org/0000-0001-6682-6743>),
   Christoph Hafemeister [ctb] (<https://orcid.org/0000-0001-6365-8254>),
   Patrick Roelli [ctb]
-Maintainer: Paul Hoffman <seurat@nygenome.org>
+Maintainer: Rahul Satija <seurat@nygenome.org>
 Repository: CRAN
-Date/Publication: 2023-11-17 22:40:16 UTC
+Date/Publication: 2024-05-08 13:40:06 UTC

=== debian/changelog ===
r-cran-seuratobject (5.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 11 Sep 2024 08:30:09 +0900

r-cran-seuratobject (5.0.1-2) unstable; urgency=medium

  * Fix regexp to detect r-base-core version in case of binary only NMUs
    Closes: #1069352
  * Standards-Version: 4.7.0 (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Wed, 24 Apr 2024 10:35:09 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                r-cran-sp,
                r-cran-future,
                r-cran-future.apply,
-               r-cran-matrix (>= 1.6-3),
+               r-cran-matrix (>= 1.6.4),
                r-cran-progressr,
                r-cran-rcpp,
                r-cran-rlang,
@@ -18,7 +18,7 @@
                r-cran-lifecycle,
                r-cran-generics,
                r-cran-rcppeigen
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-seuratobject
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-seuratobject.git
 Homepage: https://cran.r-project.org/package=SeuratObject

## r-cran-seuratobject 5.3.0

=== DESCRIPTION ===
Package: SeuratObject
Title: Data Structures for Single Cell Data
Version: 5.3.0
Authors@R: c(
  person(given = 'Paul', family = 'Hoffman', email = 'hoff0792@alumni.umn.edu', role = 'aut', comment = c(ORCID = '0000-0002-7693-8957')),
  person(given = 'Rahul', family = 'Satija', email = 'seurat@nygenome.org', role = c('aut', 'cre'), comment = c(ORCID = '0000-0001-9448-8833')),
  person(given = 'David', family = 'Collins', email = 'dcollins@nygenome.org', role = 'aut', comment = c(ORCID = '0000-0001-9243-7821')),
  person(given = "Yuhan", family = "Hao", email = 'yhao@nygenome.org', role = 'aut', comment = c(ORCID = '0000-0002-1810-0822')),
  person(given = "Austin", family = "Hartman", email = 'ahartman@nygenome.org', role = 'aut', comment = c(ORCID = '0000-0001-7278-1852')),
  person(given = "Gesmira", family = "Molla", email = 'gmolla@nygenome.org', role = 'aut', comment = c(ORCID = '0000-0002-8628-5056')),
  person(given = 'Andrew', family = 'Butler', email = 'abutler@nygenome.org', role = 'aut', comment = c(ORCID = '0000-0003-3608-0463')),
  person(given = 'Tim', family = 'Stuart', email = 'tstuart@nygenome.org', role = 'aut', comment = c(ORCID = '0000-0002-3044-0897')),
  person(given = "Madeline", family = "Kowalski", email = "mkowalski@nygenome.org", role = "ctb", comment = c(ORCID = "0000-0002-5655-7620")),
  person(given = "Saket", family = "Choudhary", email = "schoudhary@nygenome.org", role = "ctb", comment = c(ORCID = "0000-0001-5202-7633")),
  person(given = "Skylar", family = "Li", email = "sli@nygenome.org", role = "ctb"),
  person(given = "Longda", family = "Jiang", email = "ljiang@nygenome.org", role = "ctb", comment = c(ORCID = "0000-0003-4964-6497")),
  person(given = "Anagha", family = "Shenoy", email = "ashenoy@nygenome.org", role = "ctb", comment = c(ORCID = "0000-0002-0537-6862")),
  person(given = 'Jeff', family = 'Farrell', email = 'jfarrell@g.harvard.edu', role = 'ctb'),
  person(given = 'Shiwei', family = 'Zheng', email = 'szheng@nygenome.org', role = 'ctb', comment = c(ORCID = '0000-0001-6682-6743')),
  person(given = 'Christoph', family = 'Hafemeister', email = 'chafemeister@nygenome.org', role = 'ctb', comment = c(ORCID = '0000-0001-6365-8254')),
  person(given = 'Patrick', family = 'Roelli', email = 'proelli@nygenome.org', role = 'ctb')
  )
Description: 
  Defines S4 classes for single-cell genomic data and associated
  information, such as dimensionality reduction embeddings, nearest-neighbor
  graphs, and spatially-resolved coordinates. Provides data access methods and
  R-native hooks to ensure the Seurat object is familiar to other R users. See
  Satija R, Farrell J, Gennert D, et al (2015) <doi:10.1038/nbt.3192>,
  Macosko E, Basu A, Satija R, et al (2015) <doi:10.1016/j.cell.2015.05.002>,
  and Stuart T, Butler A, et al (2019) <doi:10.1016/j.cell.2019.05.031>,
  Hao Y, Hao S, et al (2021) <doi:10.1016/j.cell.2021.04.048> and
  Hao Y, et al (2023) <doi:10.1101/2022.02.24.481684> for
  more details.
License: MIT + file LICENSE
URL: https://satijalab.github.io/seurat-object/,
        https://github.com/satijalab/seurat-object
BugReports: https://github.com/satijalab/seurat-object/issues
Additional_repositories: https://bnprks.r-universe.dev
Depends: R (>= 4.1.0), sp (>= 1.5.0)
Imports: future, future.apply, generics, grDevices, grid, lifecycle,
        Matrix (>= 1.6.4), methods, progressr, Rcpp (>= 1.0.5), rlang
        (>= 0.4.7), spam, stats, tools, utils
Suggests: BPCells, DelayedArray, fs (>= 1.5.2), sf (>= 1.0.0), ggplot2,
        HDF5Array, rmarkdown, testthat
LinkingTo: Rcpp, RcppEigen
Config/Needs/website: pkgdown
BuildManual: true
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.3.3
Collate: 'RcppExports.R' 'zzz.R' 'generics.R' 'keymixin.R' 'graph.R'
        'default.R' 'assay.R' 'logmap.R' 'layers.R' 'assay5.R'
        'centroids.R' 'command.R' 'compliance.R' 'data.R' 'jackstraw.R'
        'dimreduc.R' 'segmentation.R' 'molecules.R' 'spatial.R' 'fov.R'
        'neighbor.R' 'seurat.R' 'sparse.R' 'utils.R'
NeedsCompilation: yes
Packaged: 2025-12-11 16:32:27 UTC; root
Author: Paul Hoffman [aut] (ORCID: <https://orcid.org/0000-0002-7693-8957>),
  Rahul Satija [aut, cre] (ORCID:
    <https://orcid.org/0000-0001-9448-8833>),
  David Collins [aut] (ORCID: <https://orcid.org/0000-0001-9243-7821>),
  Yuhan Hao [aut] (ORCID: <https://orcid.org/0000-0002-1810-0822>),
  Austin Hartman [aut] (ORCID: <https://orcid.org/0000-0001-7278-1852>),
  Gesmira Molla [aut] (ORCID: <https://orcid.org/0000-0002-8628-5056>),
  Andrew Butler [aut] (ORCID: <https://orcid.org/0000-0003-3608-0463>),
  Tim Stuart [aut] (ORCID: <https://orcid.org/0000-0002-3044-0897>),
  Madeline Kowalski [ctb] (ORCID:
    <https://orcid.org/0000-0002-5655-7620>),
  Saket Choudhary [ctb] (ORCID: <https://orcid.org/0000-0001-5202-7633>),
  Skylar Li [ctb],
  Longda Jiang [ctb] (ORCID: <https://orcid.org/0000-0003-4964-6497>),
  Anagha Shenoy [ctb] (ORCID: <https://orcid.org/0000-0002-0537-6862>),
  Jeff Farrell [ctb],
  Shiwei Zheng [ctb] (ORCID: <https://orcid.org/0000-0001-6682-6743>),
  Christoph Hafemeister [ctb] (ORCID:
    <https://orcid.org/0000-0001-6365-8254>),
  Patrick Roelli [ctb]
Maintainer: Rahul Satija <seurat@nygenome.org>
Repository: CRAN
Date/Publication: 2025-12-12 15:50:17 UTC

=== debian/changelog ===
r-cran-seuratobject (5.3.0-2) unstable; urgency=medium

  * Team upload.
  * Make r-cran-matrix version detection robust to binNMUs.
    Closes: #1127535
  * Standards-Version: 4.7.3 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 10 Feb 2026 11:33:40 +0900

r-cran-seuratobject (5.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Add autopkgtests
  * Fix debian/copyright for 4.0.3 MIT relicensing

 -- Charles Plessy <plessy@debian.org>  Thu, 08 Jan 2026 11:44:41 +0900

=== debian/control ===
Source: r-cran-seuratobject
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Andreas Tille <tille@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-sp,
 r-cran-future,
 r-cran-future.apply,
 r-cran-generics,
 r-cran-lifecycle,
 r-cran-matrix (>= 1.6.4),
 r-cran-progressr,
 r-cran-rcpp,
 r-cran-rlang,
 r-cran-spam,
 r-cran-rcppeigen,
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-seuratobject
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-seuratobject.git
Homepage: https://cran.r-project.org/package=SeuratObject
Rules-Requires-Root: no

Package: r-cran-seuratobject
Architecture: any
Depends:
 ${R:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: GNU R data structures for single cell data
 Defines S4 classes for single-cell genomic data and associated
 information, such as dimensionality reduction embeddings, nearest-neighbor
 graphs, and spatially-resolved coordinates. Provides data access methods and
 R-native hooks to ensure the Seurat object is familiar to other R users. See
 Satija R, Farrell J, Gennert D, et al (2015) <doi:10.1038/nbt.3192>,
 Macosko E, Basu A, Satija R, et al (2015) <doi:10.1016/j.cell.2015.05.002>,
 and Stuart T, Butler A, et al (2019) <doi:10.1016/j.cell.2019.05.031> for
 more details.

=== debian/tests/control ===
Tests: run-unit-test
Restrictions: allow-stderr
Depends:
 @,
 r-bioc-delayedarray,
 r-cran-fs (>= 1.5.2),
 r-cran-sf (>= 1.0-0),
 r-cran-ggplot2,
 r-bioc-hdf5array,
 r-cran-rmarkdown,
 r-cran-testthat,
